Vai al contenuto

Create template

Richiesta

Creates a new template within the specified organization.

Sicurezza
Bearer or PersonalAccessToken
Percorso
organizationIdstring, (uuid)obbligatorio

Unique identifier of the organization

Corpoapplication/json
namestring or null

The template name.

Esempio:"Standard NDA template"
expirationAbsoluteCreateTemplateExpiration (object) or RelativeCreateTemplateExpiration (object) or (any or null)
One of:

Absolute expiration configuration.

reminderobject(CreateTemplateReminder)

Reminder configuration.

qualifiedTimeStampboolean or null

Whether all signatures in the template must use a qualified timestamp server.

Esempio:true
signatureReasonstring or null

The signature reason persisted on the template.

Esempio:"Approved by Mario Rossi"
signatureFormatstring(SignatureFormat)

The signature format for an envelope or template.

Enum:"Pades""Cades"
agreementsArray of objects or null(Agreement)

The agreements per language. Null means no change (keep existing); empty list clears all agreements.

afterSendRedirectUrlstring or null

The URL to redirect to after sending the envelope.

Esempio:"https://example.com/envelope-sent"
POST
/api/v1/organizations/{organizationId}/templates
curl -i -X POST \
  '/api/v1/organizations/{organizationId}/templates' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Standard NDA template",
    "expiration": {
      "mode": "Absolute",
      "expiresAt": "2026-12-11T14:00:03.3574952+00:00"
    },
    "reminder": {
      "enabled": true,
      "firstReminderInDays": 5,
      "resendIntervalInDays": 3,
      "beforeExpirationInDays": 2
    },
    "qualifiedTimeStamp": true,
    "signatureReason": "Approved by Mario Rossi",
    "afterSendRedirectUrl": "https://example.com/envelope-sent"
  }'

Risposte

Created

Corpoapplication/json
idstring, (uuid)obbligatorio

The ID of the created template.

Risposta
{ "id": "00000000-0000-0000-0000-000000000001" }